Совместимость

JetFlash 340

Партномер Transcend
Transcend Elite App Download

*Android version 4.0 or later.

*The JF340 is not supported on Windows phones.
  • ProLiant DL560 Gen10 (G10)